:root {
  --searchbar-bg-color: #4d5156;
  --searchbar-bg-hover-color: #66696d;
}

body {
  display: grid;
  margin: 0;
  color: white;
  background-color: #1f1f1f;
  height: 100vh;
  font-family: Arial, Helvetica, sans-serif;
}

main {
  display: grid;
  height: 70%;
  justify-content: center;
  align-content: center;
  place-items: center;
}

header {
  display: grid;
  height: min-content;
  width: 100%;
}

footer {
  display: grid;
  width: 100%;
  background-color: #171717;
  height: min-content;
  align-self: self-end;
  align-items: center;
}

/* MAIN Section */
.searchbar {
  display: flex;
  background-color: var(--searchbar-bg-color);
  border-radius: 25px;
  width: 600px;
  height: 40px;
  margin: 20px 0px 0px 0px;
  padding: 5px;
  align-items: center;
  transition: background-color 0.8s;
}
.searchbar-icons {
  color: #bfbfbf;
  margin: 2.5px;
}
.searchbar-input {
  background-color: var(--searchbar-bg-color);
  font-family: Arial, Helvetica, sans-serif;
  font-size: 18px;
  color: white;
  width: 90%;
  height: 90%;
  border: 0;
  outline: 0;
  transition: background-color 0.8s;
}
.searchbar:hover {
  background-color: var(--searchbar-bg-hover-color);
}
.searchbar:hover .searchbar-input {
  background-color: var(--searchbar-bg-hover-color);
}
.searchbar-lucky-button {
  background-color: #2f3033;
  color: white;
  border-style: solid;
  font-family: Arial, Helvetica, sans-serif;
  border-color: #1f1f1f;
  border-width: 1px;
  font-size: 14px;
  padding: 10px;
  margin: 15px 4px 0px 4px;
  border-radius: 5px;
  transition: border-color 0.8s;
}
.searchbar-lucky-button:hover {
  cursor: pointer;
  border-style: solid;
  border-color: var(--searchbar-bg-hover-color);
  border-width: 1px;
}
.offered-language-div {
  display: flex;
  margin-top: 50px;
  font-size: 12px;
  align-items: center;
  gap: 5px;
}
.offered-language {
  text-decoration: none;
}
.offered-language:hover {
  text-decoration: underline;
}

/* HEADER Section */
.navbar {
  display: flex;
  width: 99%;
  gap: 10px;
  align-items: center;
  justify-self: center;
  margin: 5px 5px 0px 5px;
}

.separator {
  width: 80%;
}

#menu-button {
  background-color: transparent;
  width: min-content;
  height: min-content;
  border-radius: 100%;
  border: 0;
  padding: 10px;
  transition: background-color 0.8s;
}

#menu-button:hover {
  cursor: pointer;
  background-color: #313131;
}

#login-button {
  background-color: #c2e7ff;
  outline: 0;
  border: 0;
  padding: 10px;
  font-size: 14px;
  border-radius: 50px;
  transition: background-color 0.8s;
  font-family: Arial, Helvetica, sans-serif;
  text-wrap: nowrap;
}

#login-button:hover {
  cursor: pointer;
  background-color: rgb(115, 160, 190);
}

.link-items {
  color: white;
  text-decoration: none;
  font-size: 12px;
  text-wrap: nowrap;
}

.link-items:hover {
  text-decoration: underline;
}

.link-items-left {
  font-size: 14px;
}

#firmast-link-item {
  margin-left: 5px;
}

/* FOOTER Section */
.footer-separator {
  width: 99.9%;
}

.footer-links {
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 0px 5px 10px 5px;
  margin: 10px 0px 5px 0px;
}

#footer-container {
  display: flex;
  align-items: center;
  margin: 0px 30px 0px 5px;
}

#lang {
  font-size: 15px;
  align-self: center;
  justify-self: left;
  margin: 15px 0px 0px 30px;
}

#footer-links-left {
  margin: 0px 0px 0px 20px;
}

.footer-link-items {
  font-size: 14px;
}

/* MEDIA Section */
@media (max-width: 620px) {
  body, html {
    overflow: hidden;
  }
  .searchbar {
    width: 95%;
  }
  .navbar {
    padding: 5px;
    gap: 5px;
  }
  .separator {
    width: min-content;
  }
  main {
    height: 30%;
  }
  #footer-container {
    display: grid;
    margin-bottom: 0px;
  }
  .footer-separator {
    width: 99.5%;
  }
}
@media (max-height: 600px) {
  body {
    height: 20%;
  }
  .offered-language-div {
    margin-top: 10px;
  }
  .footer-separator {
    width: 99.5%;
  }
}